S7/S5 OPC Server - Softing OPC Demo Client

Softing OPC Demo Client

The Softing OPC Demo Client constitutes an easy tool for the access to functionality of OPC servers. It supports the Data Access specifications V1.0a, V2.05 and V3.0 and the XML Data Access specification 1.01 and the Alarms and Events specification 1.10.

Attention:

Please note that it is not permitted to use this client for commercial purposes!

The following sections describe the application of the OPC Demo Client:

  • User interface
  • Client options
  • Client release
  • Establishing a connection to OPC Servers
  • Browsing the namespace/areaspace
  • Creating groups/subscriptions
  • Acknowledging/displaying events
  • Creating DA Items
  • Reading/writing DA Items
  • Displaying and changing properties of OPC Objects
  • Changing object states
  • Deleting OPC Objects
  • Displaying errors


S7/S5 OPC Server - Softing OPC Demo Client - User Interface

Softing OPC Demo Client - User Interface

The user interface of the Softing Demo Client is divided into different sections.

  • Menubar

  • Toolbars

  • Tabs

Menubar

Via the menubar, you centrally reach all functionalities which you need to access OPC values of OPC Servers. The respective functions (e.g. AddGroup or AddItem) will be completed for each selected object in the tree. You may also reach the different commands via the context menus of the objects resp. via the icons in the toolbars.

File
 | Menu item | Description
 | New | Create a new client configuration
 | Open... | Open a saved client configuration
 | Save | Save a current client configuration
 | Save As... | Save a current client configuration under another name

Edit
 | Menu item | Description
 | Add | Create an object (subscription/goup/item)
 | Delete | Delete the selected OPC Object
 | Properties | Show the properties of the selected OPC Object
 | Options | Set up the properties of the Softing Demo Client

Session
 | Menu item | Description
 | Start | Establish the session connection and start the OPC communication
 | Connect | Establishe the session connection
 | Stop | Quit the session connection

View
 | Menu item | Description
 | Toolbar | Display the toolbar
 | Status Bar | Display the status bar
 | DA Write Bar | Display the box for writing items
 | Refresh | Refresh the display

Help
 | Menu item | Description
 | About | Display the release information

Toolbars

There are three toolbars with which you can execute commands and which contain additional information.

Main toolbar

Icon | Description
 | Create a new client configuration
 | Open a saved client configuration
 | Save a current client configuration
 | Display the properties of a selected OPC Object
 | Delete a selected OPC object
 | Quit all client connections
 | Establish all client connections, but without communicating actively
 | Establish all client connections and start the OPC communication

DA write toolbar

DA items may be written by means of this toolbar. For futher information about this, please read the chapter "Reading/Writing Values".

Statusbar

The statusbar shows interactive explanations about the commands you can execute. When you move the mouse across the icon STOP, for example, the explanation "Disconnect all objects" will appear.

Tabs

In the Softing Demo Client, there are seven tabs you can activate.

  • OPC Server tab
    On the tab "OPC Servers", you can display the OPC Data Access and Alarm&Events OPC Servers which are available on the local computer and on remote computers. Furthermore, it is possible to establish a connection to an OPC Server which supports one of the following interfaces:
    • OPC Data Access V1.0
    • OPC Data Access V2.05
    • OPC Data Access V3.0
    • OPC Alarm&Events V1.10
    • OPC XML Data Access V1.01
    • Softing OPC Tunnel
  • DA Browse tab
    The name space of a Data Access Server may be browsed here. Moreover you may add OPC Items to a group.
  • DA Items tab
    The transferred values for the OPC Item Objects of the Data Access Servers are displayed here. All OPC Item Objects for all server connections will be displayed in this tab.
  • AE Browse tab
    Both the topological areaspace of an Alarms and Events Server and the eventspace may be browsed here. The areaspace is used to structure the events topologically. The event space consists of event attribute values (EventCategory, conditions, subconditions, ...). When the Softing Demo Client connects to an Alarm&Event OPC Server, a subscription which contains all events that the OPC server provides will be automatically created.
  • AE Events tab
    In this tab, all simple- and tracking-related events of the Alarms and Events Server which have occurred are displayed.
  • AE Conditions tab
    In this tab, all condition-related events of the Alarms and Events Server are displayed. Displayed events may also be acknowledged .
  • Errors tab
    Errors which occurred while processing OPC method calls are displayed in this tab. The error text is displayed in the selected language.


S7/S5 OPC Server - Softing OPC Demo Client - Tab "OPC Servers"

Softing OPC Demo Client - Tab "OPC Servers"

On the tab "OPC Servers", you may display the OPC Data Access and Alarm & Events OPC Servers which are available on the local computer and on remote computers. Furthermore, it is possible to establish a connection to an OPC Server which supports one of these interfaces:

  • OPC Data Access V1.0
  • OPC Data Access V2.05
  • OPC Data Access V3.0
  • OPC Alarm&Events V1.10
  • OPC XML Data Access V1.01
  • Softing OPC Tunnel


S7/S5 OPC Server - Softing OPC Demo Client - Tab "DA Browse"

Softing OPC Demo Client - Tab "DA Browse"

You may browse the name space of a Data Access Server via the tab "DA Browse". Furthermore, you can add OPC items to a group here.


S7/S5 OPC Server - Softing OPC Demo Client - Tab "DA Items"

Softing OPC Demo Client - Tab "DA Items"

The values transferred for the OPC Item Objects of the Data Access Servers are displayed in the tab "DA Items". All OPC Item Objects for all server connections are displayed in this tab. Moreover, you can read and write the item values here.


S7/S5 OPC Server - Softing OPC Demo Client - Tab "AE Browse"

Softing OPC Demo Client - Tab "AE Browse"

Both the topological areaspace of an Alarms and Events Server and the eventspace may be browsed here. The areaspace is used to structure the events topologically. The eventspace consists of event attribute values (EventCategory, conditions, subconditions, ...) When the Softing Demo Client connects to an Alarm&Event OPC Server, a subscription will be created automatically which contains all events that the OPC Server provides.


S7/S5 OPC Server - Softing OPC Demo Client - Tab "AE Events"

Softing OPC Demo Client - Tab "AE Events"

In the tab "AE Events", all simple- and tracking-related events of the Alarms & Events Server, which have occurred, are displayed.


S7/S5 OPC Server - Softing OPC Demo Client - Tab "AE Conditions"

Softing OPC Demo Client - Tab "AE Conditions"

In the tab "AE Conditions", all condition-related events of the Alarms and Events Server are displayed. Displayed events may also be acknowledged.


S7/S5 OPC Server - Softing OPC Demo Client - Tab "Erros"

Softing OPC Demo Client - Tab "Errors"

In the tab "Errors", the errors which have occurred during the processing of OPC method calls are displayed in the selected language.


S7/S5 OPC Server - Softing OPC Demo Client - Settings

Softing OPC Demo Client - Settings

Options of the Demo Client

Via the menu "Edit/Options", you can adjust the behaviour of the Demo Client in certain situations:

  • Show Time
    Shall only the local time (Only) or the entire date including the time zone (With Date) be displayed?
  • Connection Monitor
    Shall the connections to the OPC Servers be monitored and automatically reestablished (On) or not (Off)?
  • Trace OPC Calls
    Shall all OPC Calls be recorded in the file <Common Files>\Softing\OPC\SOClient.txt (On) or not (Off)?
  • Show Item Values (1)
    Shall the client display the pure item values (Pure) or also the data type (With VT)?
  • Show Item Values (2)
    Shall the client display the item value as a decimal number (Decimal) or in hexadecimal representation?
  • Show I/O Errors
    Shall errors which occur while reading and writing items be exported (On) or not (Off)?
  • Alphabetical DA Item Sorting
    Shall the elements of the DA namespace be displayed in alphabetical order?
  • Alphabetical AE Item Sorting
    Shall the elements of the AE namespace be displayed in alphabetical order?


S7/S5 OPC Server - Softing OPC Demo Client - Version Information

Softing OPC Demo Client - Release Information

You may display the release information via the menu item "About" in the Help menu.


S7/S5 OPC Server - Softing OPC Demo Client - Establishing a Server Connection

Softing OPC Demo Client - Establishing a Server Connection

Activate the tab "OPC Servers". The Softing Demo Client is able to connect to OPC Servers which support one of the following interfaces:

  • OPC Data Access V1.0
  • OPC Data Access V2.05
  • OPC Data Access V3.0
  • OPC Alarm&Events V1.10
  • OPC XML Data Access V1.01
  • Softing OPC Tunnel

OPC Data Access V1.0, V2.05, V3.0

On this tab, you may browse for OPC Servers which are installed locally on the computer. To do this, you must expand the branch "Local" in the displayed tree.

In order to browse for remote computers, you have to expand the branch "Remote" and select the computer which is accessible in the Windows network.

After this, you have to select which Data Access Specification shall be implemented by the OPC Server. When expanding an OPC Server name, you will see the CLSID and the release-dependent PROGID. The Softing Demo Client will establish the connection if you finally mark the OPC Server and click on the button "AddServer" or if you double-click on the OPC Server name, its CLSID or its PROGID in the expanded tree.
Alternatively, you can manually add the TCP/IP address of a computer and the CLSID of an OPC Server via the branch "Manual" and click on the button "Add Server".

If you already know the CLSID and the PROGID, you can enter the according information into the input box "URL" and click on the button "Add Server".

The URL corresponds to the format:

            opcda://hostaddress/PROGID/{CLSID}

After establishing the connection, a group is created initially, and the OPC communication is started. The following articles describe how to create further groups, how to add items to the groups and how to read and write their values.

OPC Alarm&Events V1.10

On this tab, you can browse for OPC Servers that are installed locally on the computer. To do this, you have to expand the branch "Local" in the displayed tree.

To browse for OPC Servers on remote computers, you have to expand the branch "Remote" and select the computer which is accessible in the Windows network.

After this, you have to expand the branch "Alarm and Events". When you expand an OPC Server name, you will see the CLSID and the release-dependent PROGID. The Softing Demo Client will establish the connection if you finally mark the OPC Server and click on the button "AddServer" or if you double-click on the OPC Server name, its CLSID or its PROGID in the expanded tree.
Alternatively, you can manually add the TCP/IP address of a computer and the CLSID of an OPC Server via the branch "Manual" and click on the button "Add Server".

If you already know the CLSID and the PROGID, you can enter the according information into the input box "URL" and push the button "Add Server".

The URL corresponds to the format:

            opcae://hostaddress/PROGID/{CLSID}

After establishing the connection, a group will be created initially, and the OPC communication will be started. The following articles describe how to create further subscriptions, and how to confirm events.

OPC XML Data Access V1.01

If you want to establish a connection to an OPC XML-DA Server, enter the URL of the server into the box "URL" and click on the button "Add Server"

The URL corresponds to the format:

            http://hostaddress:IP-Port/AccessPath

Notice:

XML DA servers cannot be started client-side! It is therefore vital to ensure that the XML DA OPC Server has already been started before you establish a connection!

After establishing the connection, a group will be created initially, and the OPC communication will be started. The following articles describe how to create further groups, how to add items to groups and how to read and write their values.

Softing OPC Tunnel

If you want to establish a connection to an OPC Server which supports the tunnel functionality of the Softing OPC Tunnel and has activated it, you have to enter the URL into the input box "URL" and click on the button "Add Server".

The URL corresponds to the format:

            tpda://hostaddress:Tunnel-IP-Port/

Notice:

The Softing OPC Demo Client does not support any authentification.
Therefore, it is essential that you have not entered any login data when configuring the server when you want to test the connection!

Notice:

In order to establish a connection to the server-side of the Softing OPC Tunnel, the tunnel functionality has to be configured and activated server-side!

After establishing the connection, a group will be created initially, and the OPC communication will be started. The following articles describe how to create further groups, how to add items to groups and how to read and write their values.


S7/S5 OPC Server - Softing OPC Demo Client - Browsing the Namespace/Areaspace

Softing OPC Demo Client - Browsing the Namespace/Areaspace

By means of the Softing Demo Client, you may browse the namespace of OPC Data Access Servers in order to add process data to a group. Furthermore, the areaspace of Alarm&Event OPC Servers can be displayed.

Data Access OPC Server

Activate the tab "DA Browse" to browse the namespace of an OPC Data Access Server. The namespace can be browsed by expanding the tree. To do this, press the "plus" icon. The nodes and leaves will be displayed.

At this, the icons represent the following items

  • Nodes represent the hierarchy of the namespace
  • Leaves correspond to the process values
  • Properties contain additional information

Alarm & Events OPC Server

Activate the tab "AE Browse" to show the areaspace and eventspace of an Alarms & Events OPC Server. The topological areaspace of an Alarms & Events Server and the eventspace may be browsed by expanding the tree. To do this, press the "plus" icon. The areaspace is used to structure the events topologically. The eventspace consists of event attribute values (EventCategory, conditions, subconditions, ...).

In the following chapter, you will learn how to create further groups resp. subscriptions.


S7/S5 OPC Server - Softing OPC Demo Client - Creating Groups/Subscriptions

Softing OPC Demo Client - Creating Groups/Subscriptions

Data Access OPC Server

After estalishing a connection to a Data Access OPC Server, an XML Data Access OPC Server or to the Softing OPC Tunnel Interface of an OPC server, a group named "group" will be created initially in the Softing Demo Client. If you want to create further groups, select the item "Add Group" in the context menu of the OPC Server Object. To open the context menu, select the OPC Server in the left tree and click the right mouse button.

If you have selected the menu item "Add Group", an OPC Group Object with standard settings will be created and a dialog will appear where you can change different settings, if necessary.

The following parameters may be set:

Parameter | Description
Group Name | Name of the object
Connection Type | The way of creating an object with the following possibilities: AddGroup (Adding a private OPC Group Object) GetPublicGroupByName (Adding a public Group Object. At this, the according name in the group name field must be given.)
Data Retrieval | The type of data exchange with the following possibilities: Asynchronal Advises (The values are transferred automatically by the server) Synchronal Cache Reads (The values are read from the cache of the server) Polled Refresh (The values are read via Polled Refresh calls from the XML-DA server.)
Public | Type of object. If the item is activated, the OPC Group Object will be public and may be used by other clients.
UpdateRate | Period in which the server automatically collects values of the OPC Item Objects.
TimeBias | Time difference between client and server.
Deadband | Is considered when deciding whether the values shall be automatically transferred to the client or not.
LocaleID | The specific language for the OPC Group Object.

Some of these pieces of information are only considered when an OPC Group Object is created. However, most of them affect the behaviour of the object with regard to the runtime as well.

By means of the buttons in the upper section, you may also open the following functions:
Button | Description
 | Create group and close dialog.
 | Apply current settings for the group, the dialog remains open.
 | Reset current settings of the group.

Alternatively, you can open the dialog described above by selecting a Data Access OPC Server in the left tree at which an additional group shall be created. After this, select the menu item "Edit => Add = > Group" in the menu bar.

Alarm & Events OPC Server

When you establish a connection to an Alarm & Events OPC Server, a subscription for all available events will be created initially in the OPC Server. If you want to create further subscriptions, select the item "Add Subscription" in the context menu of the OPC Server Object. To open the context menu, select the OPC Server in the left tree and click the right mouse button.

When you have selected the menu item "Add Subscription", an OPC Subscription Object with standard properties will be created and a dialog will appear where you can change different settings, if necessary.

The following parameters may be set:

Parameter | Description
Buffer Time | Indicates how long events are buffered in the server before the notification will be sent to the client.
Max Size | Defines when events are transferred to the client independently from the buffer time.

Some of these pieces of information are only considered when an OPC Group Object is created. However, most of them affect the behaviour of the object with regard to the runtime as well.

By means of the buttons in the upper section, you may also open the following functions:
Button | Description
 | Create subscription and close dialog.
 | Apply current settings for the subscription, the dialog remains open.
 | Reset current settings of the subscription.

Alternatively, you may open the dialog described above by selecting an Alarm & Events Server in the left tree at which an additional subscription shall be created. After this, select the menu item "Edit => Add = > Subscription" in the menu bar.

Attention:

Please ensure that a subscription is created in each case for ALL events! Thus, you cannot create a subscription for certain events.

In the following chapter, you will learn how to add items to a group.


S7/S5 OPC Server - Softing OPC Demo Client - Adding DA Items to a Group

Softing OPC Demo Client - Adding DA Items to a Group

After establishing a connection to a Data Access OPC Server, an XML Data Access OPC Server or to the Softing OPC Tunnel Interface of an OPC Server and after creating a group, you can add OPC items to this group.

You can browse the namespace of the server in order to add items. When you open the context menu of a selected item by clicking the right mouse button and select the entry "Add Item", it will be added to the selected group in the left tree.

If you know the item ID of an item, you may also add it manually. To do this, open the context menu of the OPC Group Object by clicking the right mouse button on a selected group in the left tree. Select the entry "Add Item".

After selecting the entry "Add Item", an item with standard properties will be added to the group and a dialogue will open in which the parameters can be displayed resp. modified.

The following parameters can be displayed resp. set:

Parameter | Description
Item ID | Distinct item ID of the object
Req. Datatype | Requested data type
Deadband | Is considered when deciding whether values shall be transferred automatically to the client or not.
Item Path | Is typically used with XML DA servers and corresponds to the item path (e.g. http://localhost:8088/OPC/DA/)
Native Datatype | Shows the native data type of an item.
Access Rights | Shows the access rights of an item. (e.g. "read" or "read and write")
Engineering Units | Shows information about the units. (e.g. analog value with an upper and a lower limit)

By means of the buttons in the upper section, you can open the following functions
Button | Description
 | Create item object and close dialog.
 | Apply current settings for the item, dialog remains open.
 | Reset current item settings of this dialog.

Moreover, the dialog described above may be opened by selecting an OPC Group Object of a Data Access OPC Server in the left tree and choosing the menu item "Edit => Add => Item" in the menu bar.

If you want to add all items of a hierarchy level, that is of a certain node, you can select the menu item "Add Items for all Tags" by selecting the node and opening the context menu with the right mouse button when browsing the namespace. After this, all variables below this branch will be added to the selected group.

All items which have been added to groups will be displayed in the tab "DA Items".


S7/S5 OPC Server - Softing OPC Demo Client - Reading/Writing DA Items

Softing OPC Demo Client - Reading/Writing DA Items

After adding the OPC Items to the OPC Groups, you can display them in the tab "DA Items".

When you select the tab "DA Items", the OPC Items of all OPC Group Objects will be displayed. The item values change depending on the connection type of the respective OPC Group and the update rate which is set.

Reading DA Items

Independent from the running OPC communication, you can additionally read and write the displayed values separately in this tab.

By means of the context menu of a selected OPC Item Object, which can be opened by clicking the right mouse button, you may read the value of the selected OPC Items separately at any time. To do this, select the menu item "Read".

Via the context menu of an OPC Group Object which was configured for Asynchron Advices, you can separately refresh all OPC Items of this group. Thereby, the values of all items of a group will be updated as long as they have changed.

Writing DA Items

On the tab "DA Items", you may write the values of OPC Items in different ways. Of course, the access rights of the OPC Item must permit the writing access to this item. For one thing, you can use the DA Write toolbar to write the item values separately. Select the item which shall be written and enter the value which shall be written into the DA write toolbar. Complete the writing process by clicking the button "Write".

Alternatively, you can open the writing dialog to write one or several item values. To do this, select the items which shall be written on the right-hand side. Open the context menu of the OPC Item Objects by clicking the right mouse button, and select the menu item "Write".

After selecting the menu item "Write", the writing dialog will be opened. Here, you can change the values of the selected items.

The writing process is started by pushing the button "Write". When clicking the button "Close", the writing dialog will be closed.

You may write on fields with both the DA write toolbar and the writing dialog. If you use the DA write toolbar, it is not possible to indicate the index from which writing should be started. Thus, the field will always be written starting with index 0. Furthermore, you have to separate the field elements in the in the input box by a semicolon (e.g. 1;2;3).
If you use the writing dialog described above, you may define the index in the column "Startindex". The individual field elements must be separated by a semicolon in the writing dialog as well.

In the following chapter, you will learn more about the properties of the different OPC Objects.


S7/S5 OPC Server - Softing OPC Demo Client - Properties of OPC Objects

Softing OPC Demo Client - Properties of OPC Objects

By means of the Softing OPC Demo Client, you can display resp. adjust parameters of the following OPC Objects:

  • OPC Server Object
  • OPC Group Object
  • OPC Subscription Object
  • OPC Item Object

OPC Server Object

The Softing OPC Demo Client can display resp. set different parameters of a server connection. To show the properties of an OPC Server Object, select an OPC Server to which a connection is established. Then, open the context menu by clicking the right mouse button and select the item "Properties". Alternatively, you may also use the shortcut "F7" or the button Properties in the main toolbar to open the dialog after selecting.

When you have made your selection, the following dialog with several tabs will appear.

In the tab "Server", parameters are displayed which may be applied by the server (URL, specification release) or changed resp. passed on to the server (client name, local ID).

The following parameters are displayed:

Parameter | Description
URL | Corresponds to the URL which is used for the server connection.
Client Name | Shows the name with which the client logs on the OPC Server. This information is only given in connection with ticking the choice box.
Locale ID | Indicates the local ID with which the OPC Client connects to the OPC Server. The Softing Demo Client supports the local IDs German, English (USA) and Swedish.
OPC Version | The release of the OPC Specification which is currently used for the client/server connection.
Use OPC Version | This parameter indicates which OPC Specification shall be used by the demo client to establish the connection to the OPC Server.

In the tab "Status", status information about the OPC Server is displayed. This includes, among other things, information about the vendor or the release.

The following parameters are displayed:

Parameter | Description
Vendor Info | Vendor-specific information
Start Time | Time of OPC Server start.
Current Time | Shows the current OPC Server time.
Last Update Time | Time of last update
Version | Version information
Status Info | Additional information about the server status.
Server State | Current operating state of the OPC Server.

In the tab "Security", you can enter user information which is transferred via the IOPCPrivateSecurity Interface.

The following parameters are displayed:

Parameter | Description
User Name | User name
Password | Password of user login
Store Security Information | This selection indicates whether the login data above shall be saved for future connections.

Via the tab "Browse filter", you can create filters to browse the namespace. The illustration shows possible settings.

The following parameters are displayed:

Parameter | Description
String Filter | String for browsing the name space
Data Access V2/V3 | Data Access specification filter setting. Either DA2.05 or DA 3.0 may be chosen.
Data Type Filter | Filter by items of a certain data type
Access Rights Filter | Filter by items of certain access rights
Vendor Filter | Vendor-specific filter settings

With Alarm&Events Servers, only the parameter "String Filter" is available.
These settings have an impact on browsing the namespace and the eventspace.

By means of the buttons in the upper section, you may launch the following functions:
Button | description
 | Apply currents settings of this object and close dialog.
 | Apply current settings of this object, the dialog remains open.
 | Reset current settings of this object.

OPC Group Object

The Softing OPC Demo Client can display resp. set different parameters of an OPC Group Object. To display the properties of an OPC Group Object, select a group in the left tree. Then, open the context menu by clicking the right mouse button and select the item "Properties".

Alternatively, you may also use the shortcut "F7" or the button Properties in the main toolbar to open the dialog after selecting.

The following parameters will be displayed:

Parameter | Description
Group Name | Name of the object.
Connection Type | The way of creating an object with the following possibilities: AddGroup (Adding a private OPC Group Object) GetPublicGroupByName (Adding a public Group Object. At this, the according name in the group name box must be given.)
Data Retrieval | The type of data exchange with the following possibilities: Asynchronal Advises (The values are automatically transferred by the server) Synchronal Cache Reads (The values are read from the cache of the server) Polled Refresh (The values are read via Polled Refresh calls from the XML-DA server.)
Public | Type of object. If the item is activated, the OPC Group Object will be public and may be used by other clients.
UpdateRate | Period in which the server automatically collects values of the OPC Item Objects.
TimeBias | Time difference between client and server.
Deadband | Is considered when deciding whether the values shall be automatically transferred to the client or not.
LocaleID | The specific language for the OPC Group Object.

Some of these pieces of information are only considered when an OPC Group Object is created. However, most of them affect the behaviour of the object with regard to the runtime as well.

By means of the buttons in the upper section, you may also open the following functions:
Button | Description
 | Apply currents settings of this object and close dialog.
 | Apply current settings of this object, the dialog remains open.
 | Reset current settings of this object.

OPC Subscription Object

The Softing OPC Demo Client can display resp. set different parameters of an OPC Group Object. To display the properties of an OPC Group Object, select a subscription in the left tree. Then, open the context menu by clicking the right mouse button and select the item "Properties".

Alternatively, you may also use the shortcut "F7" or the button Properties in the main toolbar to open the dialog after selecting the subscription.

The following parameters may be set:

Parameter | Description
Buffer Time | Indicates how long events are buffered in the server before the notification is sent to the client.
Max Size | Defines when events are transferred to the client independently from the buffer time.

Some of these pieces of information are only considered when an OPC Subscription Object is created. However, most of them affect the behaviour of the object with regard to the runtime as well.

By means of the buttons in the upper section, you may also open the following functions:
Button | Description
 | Apply currents settings of this object and close dialog.
 | Apply current settings of this object, the dialog remains open.
 | Reset current settings of this object.

OPC Item Objekt

The Softing OPC Demo Client can display resp. modify both standard and user-defined properties of an OPC Item Object. To show the properties of the OPC Item Object, select its name when browsing the namespace. After this, open the context menu of the selected item by clicking the right mouse button and select the item "Properties".

When you have selected the menu item "Properties", the following dialog will appear:

Here, you see both the standard OPC properties (<= ProperyID 5000) and the user-defined properties (e.g. item syntax) incl. the property IDs, data types, timestamps etc.

Column | Description
Property ID | OPC ID of the property
Name | Name of the property
Value | Value of the property
Datatype | Data type
Description | Detailed description of the property

This first possibility of displaying the properties of an OPC Item Object requires only a server connection. The items do not have to be available in a group.

If you want to display resp. change the properties of OPC Item Objects which are already part of a group, proceed as follows:

Select the OPC Item Object whose properties you want to display in the left tree. After this, open the context menu of the object by means of the right mouse button and select the menu item "Properties".

After this selection, the item property dialog appears. Alternatively, you may also use the shortcut "F7" or the button Properties in the main toolbar to open the dialog after selecting the item.

The following parameters may be displayed resp. set:

Parameter | Description
Item ID | The distinct item ID of the object.
Req. Datatype | Requested data type
Deadband | Is considered when deciding whether values shall be transferred automatically to the client or not.
Item Path | Is typically used with XML DA servers and corresponds to the item path (e.g. http://localhost:8088/OPC/DA/)
Native Datatype | Shows the native data type of an item.
Access Rights | Shows the access rights of an item. (e.g. "read" or "read and write")
Engineering Units | Shows information about the units. (e.g. analog value with an upper and a lower limit)

By means of the buttons in the upper section, you may also open the following functions:
Button | Description
 | Apply currents settings of this object and close dialog.
 | Apply current settings of this object, the dialog remains open.
 | Reset current settings of this object.

It is also possible to open the dialog described above by using the context menu of the according OPC Item Object in the tab "DA Items".

In the following chapter, you will learn more about the possible states of the different OPC Objects.


S7/S5 OPC Server - Softing OPC Demo Client - Change OPC States

Softing OPC Demo Client - Change OPC States

The OPC Demo Client can provide states for the different OPC Objects. The explanations below apply for the following OPC Objects:

  • OPC Server Object
  • OPC Group Object
  • OPC Subscription Object
  • OPC Item Object
You may select the object state via the respective context menu of the selected OPC Object or via the main toolbar.
The following object states are distinguished.:

State | Color | Description
Stop |  | If in process, the automatic data transfer will be finished, applied objects will be deleted and running servers will be shut down. However, the configuration will be maintained for the client.
Connect |  | The selected OPC Objects will be started (server) or created. They will not be activated; an automatic data transfer will not take place.
Start |  | Objects which are selected but not yet existent will be created in the server; the automatic data transfer will be started.

When you establish a connection to a server, a group resp. a subscription will be created initially and the automatic data transfer will be started. If you add items to the group, these will be created in the OPC Server as well, and the automatic data transfer will be started. The following example will show you on the basis of one group how to change the object state.

Select an active group in the left tree and open the context menu of the OPC Group Object by clicking the right mouse button.

You can change the object state of an OPC Object via the menu branch "State".
The automatic data exchange is started via the menu item "Start".
Via the menu item "Connect", the connection to the OPC Server will be established and OPC Group Objects and OPC Item Objects will be created, but the automatic data exchange will not be started.
Via the menu item "Stop", the automatic data exchange will be quit, if it was in process, and existing OPC Objects will be deleted.

It is possible to affect the object state of an OPC Object by selecting the menu item "Flat".

Furthermore, it is possible to pass on the change in object state to objects which are placed lower in the hierarchy. In the case of an OPC Group Object, this will be done to the item objects which are in the group. To do this, select the menu item "Deep".

With OPC Item Objects, you can also change the object state via the context menu of the item in the tab "DA Items". To do this, select the according item and open the context menu by clicking the right mouse button. Via the menu branch "State", the object state may be changed as described above.

You can change the object state of all connections to OPC Servers by means of the menu "Session" and the main toolbar.

In the following chapter, you will learn how to delete OPC Objects.


S7/S5 OPC Server - Softing OPC Demo Client - Delete OPC Objects

Softing OPC Demo Client - Delete OPC Objects

You can delete OPC Objects via the respective context menu of the selected OPC Object or via the main toolbar.

To delete an OPC Object via the context menu, select it in the left tree and open the context menu by clicking the right mouse button. Select the menu item "Delete" in the context menu.

With OPC Item Objects, you may also delete the object in the tab "DA Items". To do this, select the according item and open the context menu by clicking the right mouse button. The object can be deleted via the menu item "Delete".

Alternatively, you can delete an OPC Object by selecting it and clicking the button "Delete" in the main toolbar.
An OPC Object may also be deleted by selecting it and pressing the key "del" on the keyboard.

In the following chapter, you will learn how to verify errors which occur while processing.


S7/S5 OPC Server - Softing OPC Demo Client - Displaying and Acknowledging Events

Softing OPC Demo Client - Displaying and Acknowledging Events

After connecting to the Alarm & Events OPC Server, and after creating a subscription for all events, these may be displayed in the Softing Demo Client. Moreover, you can confirm condition related events.

To display simple- and tracking-related events, choose the tab "AE Events".

Here, you see all simple- and tracking-related events which occurred.

To display condition-related events, select the tab "AE Conditions".

The different states of a condition-related event are indicated by different colors of the assigned symbol.

  • Active, not acknowledged
  • Active, acknowledged
  • Inactive, not acknowledged
Events which are acknowledged and not active are not displayed.

Displayed events can be acknowledged by selecting an event and opening the context menu by clicking the right mouse button. There, the operation "Acknowledge" can be selected.

In the following chapter, you will learn how to add DA items to a group.